aboutsummaryrefslogtreecommitdiffstats
path: root/pkgs/by-name/st
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--pkgs/by-name/st/stamp/package.nix29
-rwxr-xr-xpkgs/by-name/st/stamp/stamp.sh16
2 files changed, 33 insertions, 12 deletions
diff --git a/pkgs/by-name/st/stamp/package.nix b/pkgs/by-name/st/stamp/package.nix
index 703f73e3..871d531c 100644
--- a/pkgs/by-name/st/stamp/package.nix
+++ b/pkgs/by-name/st/stamp/package.nix
@@ -1,20 +1,29 @@
+# nixos-config - My current NixOS configuration
+#
+# Copyright (C) 2025 Benedikt Peetz <benedikt.peetz@b-peetz.de>
+# SPDX-License-Identifier: GPL-3.0-or-later
+#
+# This file is part of my nixos-config.
+#
+# You should have received a copy of the License along with this program.
+# If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
{
- sysLib,
- findutils,
+ writeShellApplication,
+ # Dependencies
+ coreutils,
fd,
- reuse,
git,
+ reuse,
}:
-sysLib.writeShellScript {
+writeShellApplication {
name = "stamp";
- src = ./stamp.sh;
- generateCompletions = false;
- keepPath = false;
+ text = builtins.readFile ./stamp.sh;
+ inheritPath = false;
- dependencies = [
- findutils
+ runtimeInputs = [
+ coreutils
fd
- reuse
git
+ reuse
];
}
diff --git a/pkgs/by-name/st/stamp/stamp.sh b/pkgs/by-name/st/stamp/stamp.sh
index 0aa6c281..5f17b2aa 100755
--- a/pkgs/by-name/st/stamp/stamp.sh
+++ b/pkgs/by-name/st/stamp/stamp.sh
@@ -1,7 +1,19 @@
#!/usr/bin/env dash
-# shellcheck source=/dev/null
-SHELL_LIBRARY_VERSION="2.1.2" . %SHELL_LIBRARY_PATH
+# nixos-config - My current NixOS configuration
+#
+# Copyright (C) 2025 Benedikt Peetz <benedikt.peetz@b-peetz.de>
+# SPDX-License-Identifier: GPL-3.0-or-later
+#
+# This file is part of my nixos-config.
+#
+# You should have received a copy of the License along with this program.
+# If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
+
+die() {
+ echo "Error: $1"
+ exit 1
+}
help() {
cat <<EOF